sbv-7.13: SMT Based Verification: Symbolic Haskell theorem prover using SMT solving.

Copyright | (c) Joel Burget
License | BSD3
Maintainer | erkokl@gmail.com
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Documentation.SBV.Examples.Lists.Fibonacci

Description

Define the fibonacci sequence as an SBV symbolic list.

Synopsis

- mkFibs :: Int -> IO [Integer]
- genFibs :: Symbolic [Integer]

# Documentation

mkFibs :: Int -> IO [Integer] Source #

Compute a prefix of the fibonacci numbers. We have: >>> mkFibs 10 [1,1,2,3,5,8,13,21,34,55]

genFibs :: Symbolic [Integer] Source #

Generate fibonacci numbers as a sequence. Note that we constrain only the first 200 entries.